import { usePageFrontmatter, useRouteLocale } from '@vuepress/client';
import { useRoute, useRouter } from 'vue-router';
import { computed, ref } from 'vue';
import { frontmatterMap } from '@temp/blog/frontmatter';
import { resolveRouteWithRedirect } from '../utils';
export const blogFrontmatterMap = ref(frontmatterMap);
/**
 * blog frontmatter
 * @param key
 */
export const useBlogFrontmatter = (key = '') => {
    const router = useRouter();
    const route = useRoute();
    const routeLocale = useRouteLocale();
    return computed(() => {
        const mapKey = key ||
            usePageFrontmatter().value.blog
                ?.key ||
            '';
        const routes = router.getRoutes();
        const currentMap = blogFrontmatterMap.value[mapKey][routeLocale.value];
        const result = {
            path: currentMap.path,
            map: {},
        };
        for (const frontmatter in currentMap.map) {
            const categoryMap = currentMap.map[frontmatter];
            result.map[frontmatter] = { path: categoryMap.path, items: [] };
            for (const pageKey of categoryMap.keys) {
                const route = routes.find(({ name }) => name === pageKey);
                if (route) {
                    const finalRoute = resolveRouteWithRedirect(router, route.path);
                    result.map[frontmatter].items.push({
                        path: finalRoute.path,
                        info: BLOG_META_SCOPE === ''
                            ? finalRoute.meta
                            : finalRoute.meta[BLOG_META_SCOPE],
                    });
                }
            }
            if (route.path === categoryMap.path) {
                result.currentItems = result.map[frontmatter].items;
            }
        }
        return result;
    });
};
// @ts-ignore
if (import.meta.webpackHot || import.meta.hot) {
    __VUE_HMR_RUNTIME__.updateBlogCategory = (map) => {
        blogFrontmatterMap.value = map;
    };
}
//# sourceMappingURL=useFrontmatter.js.map