"use strict";
/**
 * 页面处理相关的工具
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeLeadingSlash = exports.filterPages = void 0;
/**
 * 默认的页面筛选函数
 * @param page
 * @returns
 */
const defaultPageFilter = (page) => Boolean(page.filePathRelative) && !page.frontmatter.home;
/**
 * 筛选有内容的文章页面出来
 * @param options
 * @param app
 * @returns
 */
const filterPages = (options, app) => {
    const { filter = defaultPageFilter } = options;
    const pages = {};
    app.pages.filter(filter).forEach(page => {
        const mapKey = page.pathLocale;
        if (!pages[mapKey]) {
            pages[mapKey] = [];
        }
        pages[mapKey].push(page);
    });
    return pages;
};
exports.filterPages = filterPages;
/**
 * 去除斜杠
 * @param path
 * @returns
 */
const removeLeadingSlash = (path) => path.replace(/^\//, '');
exports.removeLeadingSlash = removeLeadingSlash;
//# sourceMappingURL=page.js.map